WinStd Windows Win32 API using Standard C++

Loading...
Searching...
No Matches
Classes | Typedefs | Functions
WinSock2 API

## Classes
class | winstd::ws2_runtime_error
| WinSock2 runtime error. More...
class | winstd::addrinfo
| ADDRINFOA wrapper class. More...
class | winstd::waddrinfo
| ADDRINFOW wrapper class. More...

## Typedefs
typedef addrinfo | winstd::taddrinfo
| Multi-byte / Wide-character ADDRINFO wrapper class (according to _UNICODE)

## Functions
static INT | GetAddrInfoA (PCSTR pNodeName, PCSTR pServiceName, const ADDRINFOA *pHints, winstd::addrinfo &result)
| Provides protocol-independent translation from a host name to an address.
static INT | GetAddrInfoW (PCWSTR pNodeName, PCWSTR pServiceName, const ADDRINFOW *pHints, winstd::waddrinfo &result)
| Provides protocol-independent translation from a host name to an address.

## Detailed Description

## Function Documentation

## ◆ GetAddrInfoA()

static INT GetAddrInfoA | ( | PCSTR | pNodeName,
|  | PCSTR | pServiceName,
|  | const ADDRINFOA * | pHints,
|  | winstd::addrinfo & | result )
| static

Provides protocol-independent translation from a host name to an address.

See also
  GetAddrInfoW function

## ◆ GetAddrInfoW()

static INT GetAddrInfoW | ( | PCWSTR | pNodeName,
|  | PCWSTR | pServiceName,
|  | const ADDRINFOW * | pHints,
|  | winstd::waddrinfo & | result )
| static

Provides protocol-independent translation from a host name to an address.

See also
  GetAddrInfoW function